Core - Bug # 55810

Status: Resolved Priority: Should have
Author: Felix Kopp Category:
Created: 2014-02-09 Assigned To:
Updated: 2014-02-09 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: File list t3-table & localization buttons

Description

Use the central table definition for module ext file_list. Also cleanup localization buttons/flag code a bit.

Related issues:

related to Core - Bug # 55477: The zebra coloring in filelist is broken when ... Resolved 2014-01-30
related to Core - Bug # 55979: Uncaught Error: Script error for: TYPO3/CMS/Ba... Resolved 2014-02-14

related to Core - Bug # 56020: Inline upload styles are missing

Resolved 2014-02-16

Associated revisions

Revision 3127efc2 - 2014-02-09 14:48 - Felix Kopp

[TASK] file_list: use t3-table & semantic HTML in localization
Brings the central table mark-up and style definition "t3-table"
to file_list backend module. Thanks to the unification few lines

of duplicated css definitions can be tossed.

Also moves the localization icons into the html table row. This

is a semantic clean-up and gives every file entry one table row.

-> Buttons can be added to title cell since cell is always visible.

Note: RequireJS module is moved to EXT: file_list.

By hiding the flag icons from within html right away there
is no flashing between render & ready (JS hide()).

Change-Id: 1c84450b8327c9533037ea21054799d6ad9d8d74b
Resolves: #55810

Releases: 6.2

Reviewed-on: https://review.typo3.org/27512

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2d4a9d3c - 2014-03-21 17:34 - Ernesto Baschny

[BUGFIX] Form Wizard styling fix (UL/OL)
https://review.typo3.org/27512

Resolves: #57126

Related: #55810

Releases: 6.2

Change-Id: lea0e324b6942ec90a8da387a28ff0e7d926d63f8
Reviewed-on: https://review.typo3.org/28585

Reviewed-by: Marcin Sagol
Tested-by: Marcin Sagol
Reviewed-by: Pascal Dirsteler
Tested-by: Pascal Diirsteler
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-02-09 14:30 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/27512

#2 - 2014-02-09 14:42 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27512

#3 - 2014-02-09 15:30 - Felix Kopp
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3127efc26bba99116600a06dea77ece31ab8ffad.
